Bug 5367 - ipAdEntIfIndex и ifIndex имеют различные значения
: ipAdEntIfIndex и ifIndex имеют различные значения
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/net-snmp)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-20 14:11 by
Modified: 2006-09-28 17:53 (History)


Attachments
Патч исправляющий проблему. (1.73 KB, patch)
2004-10-21 13:47, Markelov Alexander
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-20 14:11:32
Данная проблема плотно обсуждалась тут
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=114413
Кратко суть проблемы:
если пройтись snmptable -c public -Cw 64 localhost ifTable то получим
SNMP table: IF-MIB::ifTable

 ifIndex ifDescr           ifType ifMtu  ifSpeed   ifPhysAddress
       1      lo softwareLoopback 16436 10000000                
       2    eth0   ethernetCsmacd  1500 10000000 0:4:5a:9d:da:b8
       3    eth1   ethernetCsmacd  1500 10000000 0:4:5a:9d:e4:84
       4    ppp0              ppp  1492        0                

SNMP table IF-MIB::ifTable, part 2

 ifAdminStatus ifOperStatus ifLastChange ifInOctets
            up           up            ?    5668455
            up           up            ?  201625934
            up           up            ?   76713893
            up         down            ?  191191386

SNMP table IF-MIB::ifTable, part 3

 ifInUcastPkts ifInNUcastPkts ifInDiscards ifInErrors
         46842              ?            0          0
        381245              ?            0          0
        305649              ?            0          0
        327377              ?            0          0

SNMP table IF-MIB::ifTable, part 4

 ifInUnknownProtos ifOutOctets ifOutUcastPkts ifOutNUcastPkts
                 ?     5668971          46846               ?
                 ?   101128833         390554               ?
                 ?   199356400         308661               ?
                 ?    90489205         336687               ?

SNMP table IF-MIB::ifTable, part 5

 ifOutDiscards ifOutErrors ifOutQLen              ifSpecific
             0           0         0 SNMPv2-SMI::zeroDotZero
             0           0         0 SNMPv2-SMI::zeroDotZero
             0           0         0 SNMPv2-SMI::zeroDotZero
             0           0         0 SNMPv2-SMI::zeroDotZero
если пройтись snmptable -c public -Cw 50 localhost ipAddrTable то получим
SNMP table: IP-MIB::ipAddrTable

    ipAdEntAddr ipAdEntIfIndex  ipAdEntNetMask
      127.0.0.1              1       255.0.0.0
    192.168.0.1              4   255.255.255.0
        x.x.x.x              5 255.255.255.255

SNMP table IP-MIB::ipAddrTable, part 2

 ipAdEntBcastAddr ipAdEntReasmMaxSize
                1                   ?
                1                   ?
                0                   ?
Различные значения получают ipAdEntIfIndex и ifIndex, в следствии чего не
получается пользоваться утилитами типа cacti и mrtg
rpm -qv net-snmp
net-snmp-5.1.2-alt1

вот тут https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=98840&action=view
обубликован патчик для версии 5.1.1 для 5.1.2 там надо изменить одну строчку.( к
сожалению не нашел как тут можно приатачить исправленную версию патча)
Патч работает, сам пересобрал с ним 5.1.2 из сизифа. Теперь ipAdEntIfIndex и
ifIndex имеют идентичные значения.
Прошу сборщика пакета включить этот патчик в пакет.
------- Comment #1 From 2004-10-21 13:47:26 -------
Created an attachment (id=611) [details]
Патч исправляющий проблему.

Взят с bugzilla.redhat.com, подправлен для версии 5.1.2
------- Comment #2 From 2006-06-13 11:53:21 -------
Это все еще актуально?
------- Comment #3 From 2006-09-28 17:53:11 -------
У меня впрочем все в порядке на 5.3.1-alt1.
------- Comment #4 From 2006-09-28 17:53:43 -------
Resolved/fixed in 5.3.1-alt1.